[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# AddTerminateProc

Add a procedure to the exit chain.

## Declaration

Source position: sysutilh.inc line 190

`procedure AddTerminateProc(`
`TermProc: TTerminateProc`
`);`

## Description

AddTerminateProc adds TermProc to the list of exit procedures. When the program exits, the list of exit procedures is run over, and all procedures are called one by one, in the reverse order that they were added to the exit chain.

## Errors

If no memory is available on the heap, an exception may be raised.

## See also

TTerminateProc |  | Terminate procedure procedural variable.
CallTerminateProcs |  | Call the exit chain procedures.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.